package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 活动资源类型
 *
 * @Author: liweifan
 * @Data: 2022/4/7 15:48
 */
public enum EPaymentVersion implements BaseEnum<String, EPaymentVersion> {

    V1("20230726前 原生支付"),
    V2("20230726后，机构"),
    ;

    @EnumValue
    private String code;
    private String msg;

    EPaymentVersion(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }
}
